# List contacts Returns a dictionary with a data property that contains an array of contacts, starting after the cursor, if used. Each entry in the array is a separate contact object. If no more contacts are available, the resulting array will be empty. This request should never return an error. Endpoint: GET /contacts Version: 2025-11-12 Security: bearerAuth ## Query parameters: - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. See the Expand responses section of the Quickstart API Tutorials for detailed instructions. - `filter[]` (array) A case-sensitive filter on the list. See the Filter lists section of the Quickstart API Tutorials for detailed instructions. - `sort[]` (array) A case-sensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. account_number.asc) or descending (e.g. account_number.desc). You cannot sort on properties that are arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. - `page_size` (integer) The maximum number of results to return in a single page. If the specified page_size is less than 1 or greater than 99, Zuora will return a 400 error. - `fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, address, home_phone, first_name, last_name, email, work_email, nickname, other_phone, work_phone, mobile_phone, tax_region, other_phone_type, fax Example: ["id,created_time"] - `contact.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, address, home_phone, first_name, last_name, email, work_email, nickname, other_phone, work_phone, mobile_phone, tax_region, other_phone_type, fax Example: ["id,created_time"] ## Header parameters: - `zuora-track-id` (string) A custom identifier for tracking API requests. If you set a value for this header, Zuora returns the same value in the response header. This header enables you to track your API calls to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), or quote ('). - `async` (boolean) Making asynchronous requests allows you to scale your applications more efficiently by leveraging Zuora's infrastructure to enqueue and execute requests for you without blocking. These requests also use built-in retry semantics, which makes them much less likely to fail for non-deterministic reasons, even in extreme high-throughput scenarios. Meanwhile, when you send a request to one of these endpoints, you can expect to receive a response in less than 150 milliseconds and these calls are unlikely to trigger rate limit errors. If set to true, Zuora returns a 202 Accepted response, and the response body contains only a request ID. - `zuora-entity-ids` (string) An entity ID. If you have Multi-entity enabled and the authorization token is valid for more than one entity, you must use this header to specify which entity to perform the operation on. If the authorization token is only valid for a single entity or you do not have Multi-entity enabled, you do not need to set this header. - `idempotency-key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. This idempotency key should be a unique value, and the Zuora server identifies subsequent retries of the same request using this value. For more information, see Idempotent Requests. - `accept-encoding` (string) Include a accept-encoding: gzip header to compress responses, which can reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes. For more information about this header, see Request and Response Compression. - `content-encoding` (string) Include a content-encoding: gzip header to compress a request. Upload a gzipped file for the payload if you specify this header. For more information, see Request and Response Compression. - `zuora-org-ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Response 200 fields (application/json): - `next_page` (string,null) - `data` (array) - `data.id` (string) Unique identifier for the object. - `data.updated_by_id` (string) Unique identifier of the Zuora user who last updated the object - `data.updated_time` (string) The date and time when the object was last updated in ISO 8601 UTC format. - `data.created_by_id` (string) Unique identifier of the Zuora user who created the object - `data.created_time` (string) The date and time when the object was created in ISO 8601 UTC format. - `data.custom_fields` (object) Set of user-defined fields associated with this object. Useful for storing additional information about the object in a structured format. - `data.custom_objects` (object) The custom objects associated with a Zuora standard object. - `data.address` (object) Container for the address informtion. - `data.address.line1` (string) Address line 1 (e.g., street, PO Box, or company name). Example: "3333 Piedmont Rd NE" - `data.address.line2` (string) Address line 2 (e.g., apartment, suite, unit, or building). Example: "Suite 1150" - `data.address.city` (string) City, district, suburb, town, or village. Example: "Atlanta" - `data.address.state` (string) State or providence Example: "GA" - `data.address.country` (string) The country of the contact's address. Example: "United States" - `data.address.county` (string) Zuora Tax uses this information to calculate county taxation. - `data.address.postal_code` (string) ZIP or postal code. Example: "30305" - `data.first_name` (string) Customer first name. Example: "Amy" - `data.home_phone` (string) Customer home phone (including extension). Example: "(888)976-9056" - `data.last_name` (string) Customer last name. Example: "Lawrence" - `data.mobile_phone` (string) Customer phone (including extension). Example: "(888)101-0011" - `data.nickname` (string) Nickname for this contact. Example: "Ami" - `data.other_phone` (string) Other customer phone (including extension). Example: "(888)100-0001" - `data.email` (string) Customer email address. Example: "alawrence@gmail.com" - `data.tax_region` (string) A region defined in your Zuora Tax rules. Example: "Georgia" - `data.work_email` (string) Customer work email. Example: "alawrence@zuora.com" - `data.work_phone` (string) Customer work phone. Example: "(888)976-9056" - `data.other_phone_type` (string) The type of the additional phone number. Enum: "work", "mobile", "home", "other" - `data.fax` (string) The contact's fax number. - `data.account_id` (string) Identifier of a customer account with which this contact is associated. Example: "2c92c0f86a8dd422016a9e7a70116b0d" ## Response 400 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 401 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 404 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 405 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 429 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 500 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 502 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 503 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 504 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean)